[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: xulrunner 1.9.2 into sid?



On 06/28/2010 03:38 AM, Steffen Möller wrote:
> Hello,
> 
> On 06/27/2010 04:25 PM, Aaron Toponce wrote:
>> Seeing as though upstream Firefox 3.6 released December 1, 2008, and
>> upstream Thunderbird 3.1 released just a couple days ago, it might be
>> high time to get xulrunner 1.9.2 into Sid, as both Iceweasel 3.6 and
>> Icedove 3.1 will depend on it. However, I hear there will be lots of
>> breakage if xulrunner 1.9.2 comes into Sid. If so, what will break?
>> Further, what can I do to help?
>>   
> It cannot be that bad, I am running it on my desktop with Maverick.
> ii  xulrunner-1.9.2             1.9.2.4+build7+nobinonly-0u XUL + XPCOM
> application runner
> 
> It is already in experimental
> http://packages.debian.org/search?searchon=sourcenames&keywords=xulrunner
> maybe you can just install it and report back to the maintainers?
> 
> Thanks and regards
> 
> Steffen
>

Well, Ubuntu started the transition in Lucid and it's not entirely
completed yet.  We still have a handful of sources that we cannot
rebuild due to the transition.  There are also a few broken applications
that we still have to patch.  In addition, we had to drop most of the
extensions from the archive and a few less popular applications that
were built on xulrunner.  Also, Ubuntu does not have the resources to
backport security fixes for EOL gecko versions.  That was the main push
to have xulrunner-1.9.2 in Lucid (3 yr desktop support).  Since Debian
is committed to providing backported security fixes for EOL versions and
the greater number of packages involved, I think what Mike Hommey said
before is the way to go for Squeeze and sid.

Micah Gersten
Ubuntu Mozilla Team Member


Reply to: